[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TDockTree.Destroy

Destroy - destructor for TDockTree: deletes the RootZone then performs inherited Destroy

## Declaration

Source position: controls.pp line 2152

`public destructor TDockTree.Destroy; override;`

## Description

Destroy - destructor for TDockTree: deletes the RootZone then performs inherited Destroy

Overrides ancestor destructors, and may be overridden

## See also

TPersistent.Destroy

The latest version of this document can be found at lazarus-ccr.sourceforge.net.